if WolfKillCounter then
	-- Actual Menu Data table
	WolfKillCounter.options_menu_data = {
		type = "menu",
		menu_id = "WolfKillCounter_main_options_menu",
		--parent_id = "blt_options",
		name_id = "WolfKillCounter_options_name",
		desc_id = "WolfKillCounter_options_help",
		position = 3,
		options = {
			{
				type = "multi_choice",
				name_id = "WolfKillCounter_language_title",
				desc_id = "WolfKillCounter_language_desc",
				options = {
					["english"] = "WolfKillCounter_languages_english",
					["german"] = "WolfKillCounter_languages_german",
					["dutch"] = "WolfKillCounter_languages_dutch",
					["french"] = "WolfKillCounter_languages_french",
					["italian"] = "WolfKillCounter_languages_italian",
					["spanish"] = "WolfKillCounter_languages_spanish",
					["portuguese"] = "WolfKillCounter_languages_portuguese",
					["russian"] = "WolfKillCounter_languages_russian",
					["chinese"] = "WolfKillCounter_languages_chinese",
					["korean"] = "WolfKillCounter_languages_korean",
					["japanese"] = "WolfKillCounter_languages_japanese"
				},
				visible_reqs = {},
				enabled_reqs = {},
				value = {"LANGUAGE"},
			},
			{
				type = "divider",
				size = 32,
			},
			{
				type = "toggle",
				name_id = "WolfKillCounter_killcounter_player_show_killcount_title",
				desc_id = "WolfKillCounter_killcounter_player_show_killcount_desc",
				visible_reqs = {}, enabled_reqs = {},
				value = {"CustomHUD", "PLAYER", "KILLCOUNTER", "HIDE"},
				invert_value = true,
			},
			{
				type = "toggle",
				name_id = "WolfKillCounter_killcounter_player_show_special_title",
				desc_id = "WolfKillCounter_killcounter_player_show_special_desc",
				visible_reqs = {},
				enabled_reqs = {
					{ setting = {"CustomHUD", "PLAYER", "KILLCOUNTER", "HIDE"}, invert = true }
				},
				value = {"CustomHUD", "PLAYER", "KILLCOUNTER", "SHOW_SPECIAL_KILLS"},
			},
			{
				type = "toggle",
				name_id = "WolfKillCounter_killcounter_player_show_head_title",
				desc_id = "WolfKillCounter_killcounter_player_show_head_desc",
				visible_reqs = {},
				enabled_reqs = {
					{ setting = {"CustomHUD", "PLAYER", "KILLCOUNTER", "HIDE"}, invert = true }
				},
				value = {"CustomHUD", "PLAYER", "KILLCOUNTER", "SHOW_HEADSHOT_KILLS"},
			},
			{
				type = "multi_choice",
				name_id = "WolfKillCounter_killcounter_player_color_title",
				desc_id = "WolfKillCounter_killcounter_player_color_desc",
				value = {"CustomHUD", "PLAYER", "KILLCOUNTER", "COLOR"},
				visible_reqs = {},
				enabled_reqs = {
					{ setting = {"CustomHUD", "PLAYER", "KILLCOUNTER", "HIDE"}, invert = true }
				},
				options = {},
				add_color_options = true,
				add_rainbow = false,
			},
			{
				type = "divider",
				size = 8,
			},
			{
				type = "toggle",
				name_id = "WolfKillCounter_killcounter_player_show_accuracy_title",
				desc_id = "WolfKillCounter_killcounter_player_show_accuracy_desc",
				visible_reqs = {}, enabled_reqs = {},
				value = {"CustomHUD", "PLAYER", "SHOW_ACCURACY"},
			},
			{
				type = "divider",
				size = 32,
			},
			{
				type = "toggle",
				name_id = "WolfKillCounter_killcounter_team_show_killcount_title",
				desc_id = "WolfKillCounter_killcounter_team_show_killcount_desc",
				visible_reqs = {}, enabled_reqs = {},
				value = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "HIDE"},
				invert_value = true,
			},
			{
				type = "toggle",
				name_id = "WolfKillCounter_killcounter_team_show_special_title",
				desc_id = "WolfKillCounter_killcounter_team_show_special_desc",
				visible_reqs = {},
				enabled_reqs = {
					{ setting = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "HIDE"}, invert = true }
				},
				value = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "SHOW_SPECIAL_KILLS"},
			},
			{
				type = "toggle",
				name_id = "WolfKillCounter_killcounter_team_show_head_title",
				desc_id = "WolfKillCounter_killcounter_team_show_head_desc",
				visible_reqs = {},
				enabled_reqs = {
					{ setting = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "HIDE"}, invert = true }
				},
				value = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "SHOW_HEADSHOT_KILLS"},
			},
			{
				type = "toggle",
				name_id = "WolfKillCounter_killcounter_team_show_ai_title",
				desc_id = "WolfKillCounter_killcounter_team_show_ai_desc",
				visible_reqs = {},
				enabled_reqs = {
					{ setting = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "HIDE"}, invert = true }
				},
				value = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "SHOW_BOT_KILLS"},
			},
			{
				type = "multi_choice",
				name_id = "WolfKillCounter_killcounter_team_color_title",
				desc_id = "WolfKillCounter_killcounter_team_color_desc",
				value = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "COLOR"},
				visible_reqs = {},
				enabled_reqs = {
					{ setting = {"CustomHUD", "TEAMMATE", "KILLCOUNTER", "HIDE"}, invert = true }
				},
				options = {},
				add_color_options = true,
				add_rainbow = false,
			},
		},
	}
end